Skip to main content
POST
/
v1
/
contractors
/
{contractorId}
/
files
cURL
curl --request POST \
  --url https://revive-api-v2-production.herokuapp.com/v1/contractors/{contractorId}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "contractorId": "// Convert to camelCase\n      'drivers_license",
  "submitBy": {}
}
EOF

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contractorId
string
required

Body

application/json
contractorId
enum<string>
required
Available options:
// Convert to camelCase 'drivers_license,
general_contractor_license,
ach_form,
w9_form,
general_liability,
w2_forms,
voided_checks,
factoring_agreement,
workers_compensation,
contractor_bond
submitBy
object

Response

200

Success